/*
 * @(#)PDFArrowButton.java  1.0  September 11, 2005
 *
 * Copyright (c) 2005 Werner Randelshofer, Immensee, Switzerland.
 * All rights reserved.
 *
 * You may not use, copy or modify this file, except in compliance with the
 * license agreement you entered into with Werner Randelshofer.
 * For details see accompanying license terms.
 */

package ch.randelshofer.pdf.plaf;

import java.awt.*;
import javax.swing.*;
/**
 * PDFArrowButton is used handle events for the arrow buttons of a
 * PDFScrollBarUI. Since the PDFScrollBarUI does all the button drawing,
 * the button is completely transparent.
 *
 * @author  Werner Randelshofer
 * @version 1.0 September 11, 2005 Created.
 */
public class PDFArrowButton extends JButton implements SwingConstants {
    private JScrollBar scrollbar;
    
    public PDFArrowButton(JScrollBar scrollbar) {
        this.scrollbar = scrollbar;
        setRequestFocusEnabled(false);
        setFocusable(false);
        setOpaque(false);
    }
    
    public void paint(Graphics g) {
        return;
    }
}
